> ## Documentation Index
> Fetch the complete documentation index at: https://docs.ofiniti.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get OAuth 2.0 access token

> Exchange client credentials for an access token using the OAuth 2.0 Client Credentials Grant flow.



## OpenAPI

````yaml /specs/fuelboss/fuelboss-api.json post /oauth/token
openapi: 3.1.1
info:
  title: FuelBoss API
  description: >-
    REST API providing a powerful and easy way to manage your companies
    nominations and operations.
  termsOfService: https://www.ofiniti.com/legal/platform-service-terms
  contact:
    name: Support Team
    email: itops@ofiniti.com
  version: 1.15.1
servers:
  - url: https://api.demo.fuelboss.net
    description: Demo (sandbox for testing and integration development)
  - url: https://api.fuelboss.net
    description: Production
security:
  - bearerAuth: []
tags:
  - name: OAuth
  - name: Nominations
  - name: Entity management
  - name: Operations
  - name: Common
  - name: Webhooks
  - name: Webhook events
paths:
  /oauth/token:
    post:
      tags:
        - OAuth
      summary: Get OAuth 2.0 access token
      description: >-
        Exchange client credentials for an access token using the OAuth 2.0
        Client Credentials Grant flow.
      requestBody:
        content:
          application/x-www-form-urlencoded:
            schema:
              $ref: >-
                #/components/schemas/FuelBoss.Api.Contracts.Api.OAuth.TokenRequest
              description: OAuth 2.0 Client Credentials Grant token request.
        required: true
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/FuelBoss.Api.Contracts.Api.OAuth.TokenResponse
                description: Successful OAuth 2.0 token response.
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/FuelBoss.Api.Contracts.Api.OAuth.TokenErrorResponse
                description: OAuth 2.0 token error response.
        '401':
          description: Unauthorized
      security: []
components:
  schemas:
    FuelBoss.Api.Contracts.Api.OAuth.TokenRequest:
      type: object
      properties:
        grant_type:
          type: string
          description: OAuth 2.0 grant type. Must be `client_credentials`.
        client_id:
          type: string
          description: Client identifier issued for your API integration.
        client_secret:
          type: string
          description: Client secret issued for your API integration.
      additionalProperties: false
      description: OAuth 2.0 Client Credentials Grant token request.
    FuelBoss.Api.Contracts.Api.OAuth.TokenResponse:
      type: object
      properties:
        access_token:
          type: string
          description: >-
            JWT access token to send as a Bearer token in the `Authorization`
            header. Valid for 60 minutes.
        token_type:
          type: string
          description: Token type. Always `Bearer`.
        expires_in:
          type: integer
          description: Token lifetime in seconds.
          format: int32
      additionalProperties: false
      description: Successful OAuth 2.0 token response.
    FuelBoss.Api.Contracts.Api.OAuth.TokenErrorResponse:
      type: object
      properties:
        error:
          type: string
          description: >-
            OAuth 2.0 error code (e.g. `invalid_client`,
            `unsupported_grant_type`).
        error_description:
          type: string
          description: Human-readable description of the error.
      additionalProperties: false
      description: OAuth 2.0 token error response.
  securitySchemes:
    bearerAuth:
      type: http
      description: >-
        Access token obtained from the /oauth/token endpoint using your client
        credentials.
      scheme: bearer
      bearerFormat: JWT

````